Bug 117803 - [LO 6.1a-Mac] crashes when opening after double click to open file
Summary: [LO 6.1a-Mac] crashes when opening after double click to open file
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: x86-64 (AMD64) macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-25 15:20 UTC by bunkem
Modified: 2018-06-05 08:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Crash log (63.41 KB, text/plain)
2018-05-25 15:21 UTC, bunkem
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bunkem 2018-05-25 15:20:08 UTC
Description:
If you double click on a docx file on the Mac to open LO & the file, LO crashes.

Steps to Reproduce:
1.Install 6.1a Master (May 24 - see below in additional info)
2.Run LO from Applications or Launchpad
3.Shutdown LO
4.Double click on a docx file.
Crash

Actual Results:  
Crash on launch of LO

Expected Results:
Should launch LO and open the docx file.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Version: 6.1.0.0.alpha1+
Build ID: 8d42de21c10bfefeaffabc5c939e7830a09f7dca
CPU threads: 8; OS: Mac OS X 10.11.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-05-24_03:38:39
Locale: en-CA (en.UTF-8);




User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:60.0) Gecko/20100101 Firefox/60.0
Comment 1 bunkem 2018-05-25 15:21:45 UTC
Created attachment 142276 [details]
Crash log
Comment 2 bunkem 2018-05-25 15:26:33 UTC
Addition to original post.

This happens with xlsx, doc, odt, ods etc. files.
Comment 3 Xisco Faulí 2018-05-28 17:29:11 UTC
Thank you for reporting the bug. To be certain the reported issue is not
related to corruption in the user profile, could you please reset your
Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and
re-test?

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the issue is still present
Comment 4 bunkem 2018-05-28 19:06:04 UTC
Thanks for your comment & question.

I followed the instructions and reset the user profile & restarted.  Then quit LO.

Double clicking on all odt, ods, xlsx, pptx, docx, doc etc files still crash LO.

I have both 6.1a-master and 6.0.4.2 installed.  This issue only happens with 6.1a-master and NOT 6.0.4.2.
Comment 5 Alex Thurgood 2018-05-29 08:22:22 UTC
I see a possibly related problem which appears to be linked to Apple's Gatekeeper. 

When I try to open an XLS file by double-clicking on it, by default, it opens in Excel (2016). If I change the default application to LibreOffice just for that file via the File Properties dialog using Finder (Cmd-I on the XLS file icon), I see the following error message when attempting to open it again :

Impossible d’ouvrir « 1. Address Book - JDH with deleted sheets.xls », car cette app provient d’un développeur non identifié.

The file is refused loading by the system, as allegedly the app trying to open it comes from an unidentified developer.

I tried this with master 6.2.0.0alpha, LibreOffice 6.0.3.2 and LibreOffice Vanilla, with the same error message each time.
Comment 6 Alex Thurgood 2018-05-31 07:22:39 UTC
@bunkem : what is the default application and version associated with each of the filetypes (and files) you mention that you  have attempted to open ?

Have you tested the codesign utility against the app bundle ? What does it report ?
Comment 7 bunkem 2018-05-31 14:52:07 UTC
@Alex

I've never used codesign but found some info and gave it a try.  I hope this is helpful.

===
codesign -v /Applications/LibreOfficeDev.app
/Applications/LibreOfficeDev.app: code object is not signed at all
In architecture: x86_64
===

I changed the default application to open all those files to LibreOfficeDev a few months back.  

I've been using LibreOfficeDev (Master) as a number of the fixes to bugs I reported in Fresh haven't made their way back into the current version.
Comment 8 bunkem 2018-05-31 14:59:14 UTC
(In reply to Alex Thurgood from comment #5)
> I see a possibly related problem which appears to be linked to Apple's
> Gatekeeper. 
> 
> When I try to open an XLS file by double-clicking on it, by default, it
> opens in Excel (2016). If I change the default application to LibreOffice
> just for that file via the File Properties dialog using Finder (Cmd-I on the
> XLS file icon), I see the following error message when attempting to open it
> again :
> 
> Impossible d’ouvrir « 1. Address Book - JDH with deleted sheets.xls », car
> cette app provient d’un développeur non identifié.
> 
> The file is refused loading by the system, as allegedly the app trying to
> open it comes from an unidentified developer.
> 
> I tried this with master 6.2.0.0alpha, LibreOffice 6.0.3.2 and LibreOffice
> Vanilla, with the same error message each time.

@Alex this is normal behaviour.

You have to right-click on the file first, then you get a dialog box with the unsigned warning but also an "open" button.  Once you open the first file using this method, you can double click to open all the other files using 6.0 Fresh.

Unfortunately this doesn't work with master as it crashes before you get to the dialog box.

Where do you get 6.2.0.0alpha?  The last version found in https://dev-builds.libreoffice.org/daily/master/MacOSX-x86_64@49-TDF/current/ is master~2018-05-24_03.38.39_LibreOfficeDev_6.1.0.0.alpha1_MacOS_x86-64.dmg

I thought this was the last version for the Mac?
Comment 9 bunkem 2018-06-01 22:09:25 UTC
I have checked this in:
Version: 6.2.0.0.alpha0+
Build ID: 29dbb864097cc3136b036fbeb0bfa7d24b1147d7
CPU threads: 8; OS: Mac OS X 10.11.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-06-01_18:24:05
Locale: en-CA (en.UTF-8)

And it appears to be fixed.

Thank you.
Comment 10 Xisco Faulí 2018-06-01 22:54:36 UTC
Thanks for retesting with the latest version.
Setting to RESOLVED WORKSFORME as the commit fixing this issue hasn't been identified.
Comment 11 Alex Thurgood 2018-06-04 10:58:16 UTC
(In reply to bunkem from comment #8)



> Where do you get 6.2.0.0alpha?  The last version found in
> https://dev-builds.libreoffice.org/daily/master/MacOSX-x86_64@49-TDF/current/
> is master~2018-05-24_03.38.39_LibreOfficeDev_6.1.0.0.alpha1_MacOS_x86-64.dmg
> 
> I thought this was the last version for the Mac?


I build it myself from master, virtually on a daily basis.